mipicsiss: XCsiSs Struct Reference

| mipicsiss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCsiSs Struct Reference
Csiss_v1_1

The XCsiSs driver instance data. More...

## Data Fields
XCsiSs_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Device and the driver instance are initialized. More...
XCsi * | CsiPtr
| handle to sub-core driver instance More...
XCsi_ClkLaneInfo | ClkInfo
| Clock Lane information. More...
XCsi_DataLaneInfo | DLInfo [XCSI_MAX_LANES]
| Data Lane information. More...
XCsi_SPktData | SpktData
| Short packet. More...
XCsi_VCInfo | VCInfo [XCSI_MAX_VC]
| Virtual Channel information. More...

## Detailed Description

The XCsiSs driver instance data.

The user is required to allocate a variable of this type for every XCsiSs device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

XCsi_ClkLaneInfo XCsiSs::ClkInfo

Clock Lane information.

Referenced by XCsiSs_GetLaneInfo().

XCsiSs_Config XCsiSs::Config

Hardware configuration.

Referenced by SetColorDepth(), XCsiSs_Activate(), XCsiSs_CfgInitialize(), XCsiSs_GetLaneInfo(), XCsiSs_GetVCInfo(), and XCsiSs_ReportCoreInfo().

XCsi* XCsiSs::CsiPtr

handle to sub-core driver instance

Referenced by XCsiSs_Activate(), XCsiSs_CfgInitialize(), XCsiSs_Configure(), XCsiSs_GetLaneInfo(), XCsiSs_GetShortPacket(), XCsiSs_GetVCInfo(), XCsiSs_IntrDisable(), XCsiSs_IntrHandler(), XCsiSs_ReportCoreInfo(), XCsiSs_Reset(), XCsiSs_SelfTest(), and XCsiSs_SetCallBack().

XCsi_DataLaneInfo XCsiSs::DLInfo[XCSI_MAX_LANES]

Data Lane information.

Referenced by XCsiSs_GetLaneInfo().

u32 XCsiSs::IsReady

Device and the driver instance are initialized.

Referenced by XCsiSs_CfgInitialize(), and XCsiSs_SetCallBack().

XCsi_SPktData XCsiSs::SpktData

Short packet.

Referenced by CsiSs_SPktEventHandler(), and XCsiSs_GetShortPacket().

XCsi_VCInfo XCsiSs::VCInfo[XCSI_MAX_VC]

Virtual Channel information.

Referenced by XCsiSs_GetVCInfo().